## qtl 1.30-4

=== DESCRIPTION ===
Package: qtl
Version: 1.30-4
Date: 10 Feb 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with ideas from Gary Churchill and Saunak Sen and contributions from Danny Arends, Ritsert Jansen, Pjotr Prins, Laura Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes (called quantitative trait loci, QTLs) contributing to variation in quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, parallel, utils
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-02-10 23:19:35 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-11 00:55:21
