=== debian/changelog ===
qtl (1.32-10-1) unstable; urgency=medium

  * New upstream version
  * Adapt autopkgtest to be similar to other test scripts

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 13:35:41 +0200

qtl (1.30-4-1) unstable; urgency=medium

  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * cme fix dpkg-control
  * drop "Recommends: r-cran-rlecuyer" since this is neither packaged
    for Debian nor mentioned inside source code
  * Update debian/README.test to explain how to sensibly test the package
  * Provide autopkgtest
  * Enhance long description (avoid using-first-person-in-description)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2014 16:05:24 +0100
