## qtl 1.33-7

=== DESCRIPTION ===
Package: qtl
Version: 1.33-7
Date: 12 Aug 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Laura
  Shannon, and Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-08-12 16:39:48 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-08-12 20:20:44
