## qtl 1.34-16

=== DESCRIPTION ===
Package: qtl
Version: 1.34-16
Date: 29 Oct 2014
Title: Tools for analyzing QTL experiments
Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
  ideas from Gary Churchill and Saunak Sen and contributions from
  Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Lars
  Ronnegard, Rohan Shah, Laura Shannon, Quoc Tran, Aaron Wolen, and
  Brian Yandell
Maintainer: Karl W Broman <kbroman@biostat.wisc.edu>
Description: Analysis of experimental crosses to identify genes
  (called quantitative trait loci, QTLs) contributing to variation in
  quantitative traits.
Depends: R (>= 2.14.0), graphics, stats, utils
Imports: parallel
Suggests: testthat
License: GPL-3
URL: http://www.rqtl.org
Packaged: 2014-10-29 14:36:11 UTC; kbroman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-10-29 19:20:30
