## qtl 1.34-17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.34-16
-Date: 29 Oct 2014
+Version: 1.34-17
+Date: 30 Oct 2014
 Title: Tools for analyzing QTL experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -16,7 +16,7 @@
 Suggests: testthat
 License: GPL-3
 URL: http://www.rqtl.org
-Packaged: 2014-10-29 14:36:11 UTC; kbroman
+Packaged: 2014-10-30 19:09:14 UTC; kbroman
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-10-29 19:20:30
+Date/Publication: 2014-10-30 21:22:17
