## qtl 1.35-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qtl
-Version: 1.35-1
-Date: 12 Dec 2014
-Title: Tools for analyzing QTL experiments
+Version: 1.35-3
+Date: 15 Dec 2014
+Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
   Danny Arends, Timothee Flutre, Ritsert Jansen, Pjotr Prins, Lars
@@ -16,7 +16,7 @@
 Suggests: testthat
 License: GPL-3
 URL: http://www.rqtl.org
-Packaged: 2014-12-12 21:56:31 UTC; kbroman
+Packaged: 2014-12-15 22:14:39 UTC; kbroman
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-12-13 00:20:11
+Date/Publication: 2014-12-16 04:26:28
