## qtl 1.39-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.38-4
-Date: 2015-12-03
+Version: 1.39-5
+Date: 2016-03-04
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <kbroman@biostat.wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -17,6 +17,6 @@
 License: GPL-3
 URL: http://www.rqtl.org
 NeedsCompilation: yes
-Packaged: 2015-12-03 12:42:20 UTC; kbroman
+Packaged: 2016-03-04 14:30:13 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2015-12-03 16:24:37
+Date/Publication: 2016-03-04 17:34:17
