## qtl 1.52

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.48-1
-Date: 2021-03-24
+Version: 1.52
+Date: 2022-07-09
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2021-03-24 16:04:27 UTC; kbroman
+Packaged: 2022-07-09 11:16:05 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2021-03-27 08:40:10 UTC
+Date/Publication: 2022-07-09 14:50:02 UTC
