## qtl 1.54

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: qtl
-Version: 1.52
-Date: 2022-07-09
+Version: 1.54
+Date: 2022-12-01
 Title: Tools for Analyzing QTL Experiments
 Author: Karl W Broman <broman@wisc.edu> and Hao Wu, with
   ideas from Gary Churchill and Saunak Sen and contributions from
@@ -24,6 +24,6 @@
 Encoding: UTF-8
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2022-07-09 11:16:05 UTC; kbroman
+Packaged: 2022-12-01 22:41:05 UTC; kbroman
 Repository: CRAN
-Date/Publication: 2022-07-09 14:50:02 UTC
+Date/Publication: 2022-12-02 00:20:02 UTC
